Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 3.0.0   

Description

TimeEntry acts_as_activity_provider scope should join project, not just preload it

Associated revisions

Revision 13971 - 2015-02-07 10:10 - Jean-Philippe Lang

TimeEntry acts_as_activity_provider scope should joins(:project) (#18818).

Patch by Ondřej Ezr.

History

#1 - 2015-02-02 13:53 - Toshi MARUYAMA

- Target version set to 3.0.0

#2 - 2015-02-07 10:11 - Jean-Philippe Lang

- Subject changed from TimeEntry acts_as_activity_provider scope to TimeEntry acts_as_activity_provider scope should joins(:project)

- Category set to Code cleanup/refactoring

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

Committed in r13971, thanks.

#3 - 2015-03-08 13:23 - Toshi MARUYAMA

For the record:

:scope => preload(:project) was introduced by r13482 (#14534).

=== (+11,-5) app/models/time_entry.rb ===

@@ -35,7 +35,7 @@

   acts_as_activity_provider :timestamp => "#{table_name}.created_on",

                             :author_key => :user_id,

-                            :find_options => {:include => :project}

+                            :scope => preload(:project)

 So target 3.0.0 is no need.

But 3.0.0 was already released.
